function xgg(){}
function Dgg(){}
function ngg(a){this.a=a}
function pgg(a){this.a=a}
function Bgg(a){this.a=a}
function wgg(a,b){fZf(a.a,b)}
function Tgg(a){var b;if(!a.d){b=new xgg;a.d=b}return a.d}
function zgg(){Yme.call(this,DWj,'Persistence Inheritance')}
function igg(a){var b;b=Tyh(a.b.a,Atf(),sL(x_c,huj,1,[]));N4i(D4i(b,VCj),HXj);Ckj(new Ujj(b),new ngg(a))}
function kgg(a,b,d,e){xEd.call(this,a,b,d);this.c=e;this.b=new bZi(rKb,(czh(),Zyh).Mc(rKb),bzh.Mc(rKb));this.a=new qZi(rKb)}
function Sgg(a){var b;if(!a.c){b=new kgg(HDd(tae(a.a)),Tgg(a),Rgg(a),(Rkj(_be(a.a)),fKg(nbe(a.a))),c$i(Zbe(a.a)));TDd((uae(a.a),b),QEd(uae(a.a)));a.c=b}return a.c}
function jgg(a,b){var d;d=fZi(a.a,b,Tyh(a.b.a,Atf(),sL(x_c,huj,1,[])),sL(q0c,auj,281,[]));if(b.Jc(IIj)&&Mg(b.Mc(IIj),Hwj)){b.Pc(IIj);T4i(D4i(d,JIj),(Zij(),Yij))}Ckj(new Ujj(d),new pgg(a))}
function mgg(a,b){var d,e;e=wkj(b);if(e.b.ZM(qDj)&&D4i(e,qDj).b.b!=(Zij(),Yij)&&!GNd(D4i(e,qDj).b.Ze(),rDj)){FWd(MXj+(AWd(),'Loading JPA Subsystem'))}else{d=gZi(a.a.a,D4i(e,cDj).b.RM());wgg(a.a.A,d)}}
G1c(3550,997,ivj,kgg);_.Ri=function(){this.A.b=this};_.Wi=function(){igg(this)};_.$i=function(){Dtf(this.c,this)};G1c(3551,1282,{},ngg);_.dh=function(a){mgg(this,a)};G1c(3552,1282,{},pgg);_.dh=function(a){var b;b=wkj(a);b.b.ZM(qDj)&&D4i(b,qDj).b.b!=(Zij(),Yij)&&!GNd(D4i(b,qDj).b.Ze(),rDj)?GWd(TYj+(AWd(),g9j),F4i(b)):HWd(UYj+(AWd(),g9j));igg(this.a)};G1c(3555,1399,hvj,xgg);_.Ah=function(){var a,b,d,e,g,i;this.a=new mZf(rKb);a=new Xfe(IIj,h9j,false);g=new zgg;Xme(g,sL(x_c,huj,1,['DEEP','SHALLOW']));v_d(this.a,gDj,sL(o0c,Svj,262,[a,g]));t_d(this.a,false);d=new JZi(this.a,new Bgg(this));e=new G0e(new Dgg,this.a);b=Nze(Pze(Oze(new Rze,this.a),e));i=rAe(wAe(vAe(sAe(tAe(yAe(new zAe,m$j),g9j),(AWd(),'The configuration of the JPA subsystem.')),A$j,b),HZi(d)));return i};G1c(3556,1658,Yvj,zgg);_._j=function(){return false};G1c(3557,1,{},Bgg);_.Fk=function(a){jgg(this.a.b,(this.a.a.c,a))};G1c(3558,1,{},Dgg);_.al=function(){var a;a=Atf();O4i(q4i(a),kEj,mBj);return a};G1c(3564,1,Qvj);_.pd=function(){pFd(this.b,Sgg(this.a.a))};var jKb=iMd(3550),fKb=iMd(3551),gKb=iMd(3552),nKb=iMd(3555),kKb=iMd(3556),lKb=iMd(3557),mKb=iMd(3558);Cwj(so)(55);